Skip to main content
POST
/
accounts
Create Account
curl --request POST \
  --url https://{defaultHost}/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "email": "<string>",
  "title": "<string>",
  "description": "<string>",
  "route": "<string>",
  "logo_url": "<string>",
  "banner_image_url": "<string>",
  "business_type": "<string>",
  "country": "<string>",
  "home_preferences": [
    "<string>"
  ],
  "industry_group": "<string>",
  "industry_type": "<string>",
  "invoice_prefix": "<string>",
  "onboarding_type": "<string>",
  "opengraph_image_url": "<string>",
  "opengraph_image_variant": "<string>",
  "other_business_description": "<string>",
  "other_industry_description": "<string>",
  "require_2fa": true,
  "target_audience": "<string>",
  "send_customer_emails": true,
  "show_joined_whops": true,
  "show_reviews_dtc": true,
  "show_user_directory": true,
  "store_page_config": {},
  "parent_account_id": "<string>",
  "metadata": {},
  "created_at": "<string>",
  "use_logo_as_opengraph_image_fallback": true,
  "wallet": {
    "id": "<string>",
    "address": "<string>"
  },
  "social_links": [
    {
      "id": "<string>",
      "url": "<string>",
      "title": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token.

Body

application/json
email
string

The email address of the account owner. Required for business account API key requests.

metadata
object

Arbitrary key/value metadata to store on the account.

Response

account created

id
string
required

The ID of the account, which will look like biz_*************

email
string | null
required

The email address of the account owner

title
string
required

The display name of the account

description
string | null
required

A promotional description for the account

route
string
required

The account's public route identifier

logo_url
string | null
required

The URL of the account logo image

banner_image_url
string | null
required

The URL of the account banner image

business_type
string | null
required

The high-level business category for the account

country
string | null
required

The country the account is located in

home_preferences
string[]
required

Preferences for the public business home page

industry_group
string | null
required

The industry group the account belongs to

industry_type
string | null
required

The specific industry vertical the account operates in

invoice_prefix
string | null
required

The prefix used for account invoices

onboarding_type
string | null
required

The type of onboarding the account has completed

opengraph_image_url
string | null
required

The URL of the account Open Graph image

opengraph_image_variant
string | null
required

The account Open Graph image variant

other_business_description
string | null
required

The description of the business type when business_type is other

other_industry_description
string | null
required

The description of the industry type when industry_type is other

require_2fa
boolean
required

Whether the account requires authorized users to have two-factor authentication enabled

target_audience
string | null
required

The target audience for this account

send_customer_emails
boolean
required

Whether Whop sends transactional emails to customers on behalf of this account

show_joined_whops
boolean
required

Whether the account appears in joined whops on other accounts

show_reviews_dtc
boolean
required

Whether reviews are displayed on direct-to-consumer product pages

show_user_directory
boolean
required

Whether the account shows users in the user directory

store_page_config
object
required

Store page display configuration for the account

parent_account_id
string | null
required

The parent account ID for connected accounts

metadata
object
required

Arbitrary key/value metadata supplied when the account was created

created_at
string
required

When the account was created, as an ISO 8601 timestamp

use_logo_as_opengraph_image_fallback
boolean
required

Whether the account uses its logo as the fallback Open Graph image

wallet
object
required

The account's primary crypto wallet, or null if none has been provisioned